com.sun.grid.jgdi.monitoring

## Class QueueInfoImpl

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.QueueInfoImpl

- All Implemented Interfaces:
    QueueInfo, java.io.Serializable

      public class QueueInfoImpl
      extends java.lang.Object
      implements QueueInfo, java.io.Serializable

  Default implemenation of `QueueInfo`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueInfoImpl()` Creates a new instance of QueueInfo

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getQname()` Get the name of the queue
    `java.lang.String` | `getQtype()` Get the type of the queue
    `int` | `getReservedSlots()` Get the number of used queue slots
    `java.lang.String` | `getState()` Get the state of the queue
    `int` | `getTotalSlots()` Get the number of total queue slots
    `int` | `getUsedSlots()` Get the number of used queue slots
    `void` | `setQname(java.lang.String qname)` Set the name of the queue
    `void` | `setQtype(java.lang.String qtype)` Set the name of the queue
    `void` | `setReservedSlots(int slotsReserved)` Set the number of reserved queue slots
    `void` | `setState(java.lang.String state)` Set the state of the queue
    `void` | `setTotalSlots(int slotsTotal)` Set the number of total queue slots
    `void` | `setUsedSlots(int slotsUsed)` Set the number of used queue slots

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueInfoImpl

          public QueueInfoImpl()

      Creates a new instance of QueueInfo

  - ### Method Detail

    - #### getQname

          public java.lang.String getQname()

      Get the name of the queue
      Specified by:
        `getQname` in interface `QueueInfo`
      Returns:
        the name of the queue

    - #### setQname

          public void setQname(java.lang.String qname)

      Set the name of the queue
      Parameters:
        `qname` - the name of the queue

    - #### getQtype

          public java.lang.String getQtype()

      Get the type of the queue
      Specified by:
        `getQtype` in interface `QueueInfo`
      Returns:
        the type of the queue

    - #### setQtype

          public void setQtype(java.lang.String qtype)

      Set the name of the queue
      Parameters:
        `qtype` - the type of the queue

    - #### getState

          public java.lang.String getState()

      Get the state of the queue
      Specified by:
        `getState` in interface `QueueInfo`
      Returns:
        state of the queue

    - #### setState

          public void setState(java.lang.String state)

      Set the state of the queue

    - #### getTotalSlots

          public int getTotalSlots()

      Get the number of total queue slots
      Specified by:
        `getTotalSlots` in interface `QueueInfo`
      Returns:
        number of total queue slots

    - #### setTotalSlots

          public void setTotalSlots(int slotsTotal)

      Set the number of total queue slots
      Parameters:
        `slotsTotal` - of total queue slots

    - #### getUsedSlots

          public int getUsedSlots()

      Get the number of used queue slots
      Specified by:
        `getUsedSlots` in interface `QueueInfo`
      Returns:
        number of used queue slots

    - #### setUsedSlots

          public void setUsedSlots(int slotsUsed)

      Set the number of used queue slots
      Parameters:
        `slotsUsed` - of used queue slots

    - #### getReservedSlots

          public int getReservedSlots()

      Get the number of used queue slots
      Specified by:
        `getReservedSlots` in interface `QueueInfo`
      Returns:
        number of used queue slots

    - #### setReservedSlots

          public void setReservedSlots(int slotsReserved)

      Set the number of reserved queue slots
      Parameters:
        `slotsReserved` - of used queue slots

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.